const mongoose = require('mongoose');

const Schema = mongoose.Schema ;

const courseSchema = new Schema({
    name : {
        type : String ,
        required : true 
    } ,
    mentor : {
        type : String ,
        required : true 
    } ,
    totalLectures : {
        type : Number ,
        required : true 
    } ,
    route: {
        type : String , 
        required : true 
    } ,
    meetings : [
        {
            startTime : {
                type : String ,
                required : true
            } ,
            endTime : {
                type : String , 
                required : true
            } ,
            link : {
                type : String ,
                required : true 
            }
        }
    ] ,
    types : {
        tier1: {
            type : mongoose.Types.ObjectId ,
            ref : 'CourseType' 
        } ,
        tier2 : {
            type : mongoose.Types.ObjectId ,
            ref : 'CourseType' 
        } ,
        tier3: {
            type : mongoose.Types.ObjectId ,
            ref : 'CourseType' 
        }
    }
}) ;

module.exports = mongoose.model('Course' , courseSchema) ;